# No Man's Sky 5.6.0
# BID: 252A2FD2AD6A13FE

unsafeCheck: true

MASTER_WRITE:
  # Redirect DR frametime target to MAIN+0x4722FF0
  # REF: 08 4E A8 52 00 01 27 1E 48 8F A8 52, ADRP + ADD + LDR above that
  -
    type: bytes
    main_offset: 0x1F3A018
    value_type: uint32
    value:
      - 0x90013F49 # adrp x9, #0x4722000
      - 0xBD4FF120 # ldr s0, [x9, #0xff0]
      - 0xD503201F # NOP
  # default value
  -
    type: bytes
    main_offset: 0x4722FF0
    value_type: float
    value: 30
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x4722FF0]
    value_type: float
    value: FPS_TARGET